### Hierarchy

- Sprite

## Index

### Constructors

- constructor

### Properties

- _textureDict
- color
- heading
- pos
- size
- textureName
- visible

### Accessors

- IsTextureDictionaryLoaded
- TextureDict

### Methods

- draw
- loadTextureDictionary

## Constructors

### constructor

- new Sprite(textureDict: string, textureName: string, pos?: Point, size?: Size, heading?: number, color?: Color): Sprite

- - Defined in ui/Sprite.ts:14

  #### Parameters

  - ##### textureDict: string

  - ##### textureName: string

  - ##### Optional pos: Point

  - ##### Optional size: Size

  - ##### heading: number = 0

  - ##### color: Color = ...

  #### Returns Sprite

## Properties

### Private _textureDict

_textureDict: string

- Defined in ui/Sprite.ts:12

### color

color: Color

- Defined in ui/Sprite.ts:9

### heading

heading: number

- Defined in ui/Sprite.ts:8

### pos

pos: Point

- Defined in ui/Sprite.ts:6

### size

size: Size

- Defined in ui/Sprite.ts:7

### textureName

textureName: string

- Defined in ui/Sprite.ts:5

### visible

visible: boolean

- Defined in ui/Sprite.ts:10

## Accessors

### IsTextureDictionaryLoaded

- get IsTextureDictionaryLoaded(): boolean

- - Defined in ui/Sprite.ts:51

  #### Returns boolean

### TextureDict

- get TextureDict(): string
- set TextureDict(v: string): void

- - Defined in ui/Sprite.ts:47

  #### Returns string

- - Defined in ui/Sprite.ts:40

  #### Parameters

  - ##### v: string

  #### Returns void

## Methods

### draw

- draw(resolution?: Size): void
- draw(textureDictionary?: string, textureName?: string, pos?: Point, size?: Size, heading?: number, color?: Color, loadTexture?: boolean, resolution?: Size): void

- - Defined in ui/Sprite.ts:55

  #### Parameters

  - ##### Optional resolution: Size

  #### Returns void

- - Defined in ui/Sprite.ts:56

  #### Parameters

  - ##### Optional textureDictionary: string

  - ##### Optional textureName: string

  - ##### Optional pos: Point

  - ##### Optional size: Size

  - ##### Optional heading: number

  - ##### Optional color: Color

  - ##### Optional loadTexture: boolean

  - ##### Optional resolution: Size

  #### Returns void

### loadTextureDictionary

- loadTextureDictionary(): void

- - Defined in ui/Sprite.ts:31

  #### Returns void

Generated using TypeDoc